<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Oganikku</title>

    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.css" type="text/css"
        rel="stylesheet">
    <link href="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
    <script src="//maxcdn.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"></script>
    <script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <link rel="stylesheet" href="{{ url_for('static', filename='css/admin_chat.css') }}">
</head>
<style>
       .grid-container {
      display: grid;
      grid-template-columns: 18% 82%;
    }
</style>
<body>
    <div class="grid-container">
        <div>{% include 'sidebar.html' %}</div>
        <div class="container" style="margin-top: 2%;">

            <h3 class=" text-center" style="padding:20px;">Messaging</h3>
            <div class="messaging">
                <div class="inbox_msg">
                    <div class="inbox_people">
                        <div class="headind_srch">
                            <div class="recent_heading">
                                <h4>Recent</h4>
                            </div>
                            <div class="srch_bar">
                                <div class="stylish-input-group">
                                    <input type="text" class="search-bar" placeholder="Search">
                                    <span class="input-group-addon">
                                        <button type="button"> <i class="fa fa-search" aria-hidden="true"></i> </button>
                                    </span>
                                </div>
                            </div>
                        </div>
                        <div class="inbox_chat">
                            {% for user in all_user %}
                            <div class="chat_list" id=1 onclick="chooseProfile('{{ user.id }}')">
                                <div class="chat_people">
                                    <div class="chat_img"> <img src="{{url_for('static', filename = 'images/user_profile/'+user.profile_image)}}"
                                            alt="sunil"> </div>
                                    <div class="chat_ib">
                                        <h5>{{ user.username }} <!--<span class="chat_date">Dec 25</span>--></h5>
                                        <!-- <p>Test, which is a new approach to have all solutions
                                            astrology under one roof.</p> -->
                                    </div>
                                </div>
                            </div>
                            {% endfor %}
                        </div>
                    </div>
                    <div class="mesgs">
                        <div class="msg_history">
                            
                        </div>
                        <div class="type_msg">
                            <div class="input_msg_write">
                                <input id ="input_msg" type="text" class="write_msg" placeholder="Type a message" />
                                <button class="msg_send_btn" onclick="sendMsg()" type="button"><i class="fa fa-paper-plane-o"
                                        aria-hidden="true"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
    
    
              
    
            </div>
        </div>



    </div>
    
    





</body>

</html>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/1.7.3/socket.io.min.js"></script>
<script type="text/javascript">
    var socket = io.connect('http://' + document.domain + ':' + location.port);
    function chooseProfile(id){
        var pre_id
        socket.on( 'user_response', function( data ) {
        $( 'div.msg_history' ).append(`<div class="incoming_msg">
                                <div class="incoming_msg_img"> <img src="/static/images/user_profile/`+data.profile_image+`"
                                        alt="`+data.name+`"> </div>
                                <div class="received_msg">
                                    <div class="received_withd_msg">
                                        <p>`+data.msg+`</p>
                                        <span class="time_date"> 11:01 AM | June 9</span>
                                    </div>
                                </div>
                            </div>`)
        var objDiv = document.getElementsByClassName("msg_history")[0];
        objDiv.scrollTop = objDiv.scrollHeight;
        });
        $( 'div.msg_history' ).empty();
        fetch('/get_message/'+id, {   // assuming the backend is hosted on the same server
        method: 'POST',
        }).then(response => response.json()).then(all_data => {
            all_data.message.forEach(data => {
                
                if (data.sender == 'admin'){
                    $( 'div.msg_history' ).append(`<div class="outgoing_msg">
                                <div class="sent_msg">
                                    <p>`+data.message+`</p>
                                    <span class="time_date">`+ data.time +`</span>
                                </div>
                            </div>`)
                } else {
                    $( 'div.msg_history' ).append(`<div class="incoming_msg">
                                <div class="incoming_msg_img"> <img src="/static/images/user_profile/`+all_data.user.profile_image+`"
                                        alt="sunil"> </div>
                                <div class="received_msg">
                                    <div class="received_withd_msg">
                                        <p>`+data.message+`</p>
                                        <span class="time_date">`+ data.time +`</span>
                                    </div>
                                </div>
                            </div>`)
                }
            });
            var objDiv = document.getElementsByClassName("msg_history")[0];
            objDiv.scrollTop = objDiv.scrollHeight;
        });
        document.getElementsByClassName("msg_send_btn")[0].id = id;
        pre_ele = document.getElementsByClassName("active_chat")[0];
        if(pre_ele != undefined){
            pre_id = pre_ele.id;
            socket.emit('leave_room', {'customer':parseInt(pre_id,10)})
            pre_ele.classList.remove("active_chat");
        }
        document.getElementById(id).classList.add("active_chat");
        socket.emit('join_room', {'customer':parseInt(id,10)})
    }
    
    
    function sendMsg(){
    id = document.getElementsByClassName("msg_send_btn")[0].id;
    var msg = document.getElementById('input_msg').value;
    if (msg != ""){
      $( 'div.msg_history' ).append(`<div class="outgoing_msg">
                                <div class="sent_msg">
                                    <p>`+msg+`</p>
                                    <span class="time_date"> 11:01 AM | June 9</span>
                                </div>
                            </div>`)
        document.getElementById('input_msg').value = "";
        socket.emit('recive_from_admin', {"msg":msg,'customer':parseInt(id,10),"name":"{{current_user.get_profile().fullname }}","profile_image":"{{current_user.get_profile().profile_image }}"});
        var objDiv = document.getElementsByClassName("msg_history")[0];
        objDiv.scrollTop = objDiv.scrollHeight;
    }
  }
</script>